# Changelog

## 2.1.0

* Added a parent interface to KissAbstract called Kiss

## 2.0.0

* Moved abstraction over to abstractify library.
* Added more parsing methods so entry points now take strings rather than KISS encoded data.
* Added errors where appropriate, for example writing invalid frames now throw an IOError.
* The write and read methods now take frames in the form of a map of strings, all encoding is now handled by the library.

## 1.0.3

* Changed KissSerial so its methods can accept any arguments, used for abstraction purposes.

## 1.0.2

* Fixed a bug where bytes were not written to the serial stream correctly.
* Now correctly handles writing both byte arrays and strings to the serial port.
* Fixed connect method so it properly sends the initialize codes.

## 1.0.1

* Added serialport gem as a project dependency.

## 1.0.0

* Initial release
